Subject: The System Manager
From: [email-masked] (Stuart Herbert)
Date: 17 Jun 1994 21:29:41 GMT
Newsgroups: comp.os.linux.announce

The System Manager - Copyright (c) 1994 Stuart Herbert
=====================================================================
README : Introducing The System Manager
=====================================================================

== Introduction =====================================================

	The System Manager is an administration tool for UNIX.  It 
	provides an interface between the user and standard UNIX 
	commands.  It is copyrighted under version 2 of the GNU 
	General Public License.

	This is the README for version 0.1.1.  This version is ALPHA 
	quality software, and has been released to test proof-of-
	concept.
	
	-- NOTE : --
	
		This software is a FRAMEWORK for building a user-
		friendly front-end to UNIX administration.  By itself 
		it does little of interest.  However, it provides a 
		potential starting point.
		
	----

== Where To Get It ==================================================

	The System Manager has been uploaded to sunsite.unc.edu, into
	/pub/Linux/Incoming - hopefully it will eventually move into
	/pub/Linux/ALPHA.
	
== Content ==========================================================

	The base distribution contains
	
	* System Manager module manager
		This provides support for separate modules; a module 
		is a separate program which provides support for a 
		given purpose.
		
	* Example modules
		Creating new users, deleting users, changing a user's
		details, a local news facility, tar installation, 
		module installation.
		
	* TEMPLATE module
		This module is a framework in which you can add your 
		own code, so that you can create new modules which 
		can be distributed with your application.
		
	* Documentation
		Documentation on writing modules.  A bit ropey, but 
		I'd rather get this out now for people to give me 
		some feedback than sit on it until the docs are 
		polished.
		
		(One of the reasons that this is ALPHA is because the
		documentation still needs a *lot* of work.)
		
== Required Utilities ===============================================

	The following utilities are required.
	
	* dialog
		I recently uploaded 'dialog-0.4' to sunsite.unc.edu, 
		which includes some new options.  If you already have
		dialog (it comes with Slackware), please get this 
		later version (or else some things won't work!), and 
		if you don't have dialog, you'll need to get it.
		
		Look in /pub/Linux/utils/shell on sunsite.unc.edu, 
		once it has moved from /pub/Linux/Incoming.
	
	* useradd, usermod, userdel, groupadd, groupmod, groupdel
		These are part of the shadow passwords suite.  YOU DO
		NOT NEED TO BE USING SHADOW PASSWORDS.  Because there 
		is little support for shadow passwords, the User 
		module is written to work with normal passwords BUT 
		you still need these utilities if you want to use the
		User module.

== Optional Utilities ===============================================

	* /bin/ash
		This neat, and very small (especially when compared 
		to bash :) sh-compatible shell is used to launch a 
		script to test for new news when a user logs in.  If 
		you don't have it, you can use bash instead, but using 
		ash speeds up logging in a bit on my low-end hardware.
		
== A Note To Developers =============================================

	The System Manager provides support for YOU to write self-
	containe 'modules'.  These modules can be used as a front-end 
	to powerful commands (see Users module), or to implement a new 
	facility (see News module), or to provide a front-end to 
	configuring software.

	I don't recommend that developers start supporting the System
	Manager until it enters BETA testing.  (I don't expect the
	code to change much, but at the moment, the documentation is
	minimal.)
	
	In addition, the System Manager should port to many other UNIX
	platforms; I intend to see just how many :-)
	
== Copyright ========================================================

	The base distribution is copyright (c) 1994 Stuart Herbert, 
	and is released under version 2 of the GNU General Public 
	License.  If you like it, please distribute like crazy.

== PS ===============================================================

	Send flames to /dev/null.  I think Linux needs tools like 
	this; even if this doesn't work out, perhaps having working
	code will spur someone on to do better things.

	Constructive critism is most welcome - I'd be especially keen
	on ideas for providing users with 'tutorial' info so that they 
	can learn just what the System Manager is doing on their 
	behalf, so that they learn how to use various UNIX commands.  

	Any features which would help module writers - let me know.  
	And, of course, bugs (and bug fixes :) are welcome.

=====================================================================
Stuart Herbert - [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.